<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class AdminJadwalController extends Controller
{
    public function index()
    {
            $data['objek'] 		=  new \App\Jadwal();
            $data['action'] 	= 'AdminJadwalController@simpanJadwal';
            $data['method']     = 'POST';
            $data['proposal'] = \App\Jadwal::all();
            return view('administrator.jadwal.index',$data);
       
    }
    public function simpanJadwal(Request $request)
    {
        $request->validate{[
                'namajadwal'     => 'required',
                'tgl_daftar_buka' => 'required',
                'tgl_daftar_tutup' => 'required',
                'tgl_pengumpulandata_buka' => 'required',
                'tgl_pengumpulandata_tutup' => 'required',
                'tgl_penulisanhasil_buka' => 'required',
                'tgl_penulisanhasil_tutup' => 'required',
                'tgl_desiminasi_buka' => 'required',
                'tgl_desiminasi_tutup' => 'required',
                'tgl_publikasi_buka' => 'required',
                'tgl_publikasi_tutup' => 'required',
            ]
        };

        

        $syarat = new \App\Jadwal();
        $syarat->namajadwal                 = $request->namajadwal;
        $syarat->tgl_daftar_buka            = $request->tgl_daftar_buka;
        $syarat->tgl_daftar_tutup           = $request->tgl_daftar_tutup;
        $syarat->tgl_pengumpulandata_buka   = $request->tgl_pengumpulandata_buka;
        $syarat->tgl_pengumpulandata_tutup  = $request->tgl_pengumpulandata_tutup;
        $syarat->tgl_penulisanhasil_buka    = $request->tgl_penulisanhasil_buka;
        $syarat->tgl_penulisanhasil_tutup   = $request->tgl_penulisanhasil_tutup;
        $syarat->tgl_desiminasi_buka        = $request->tgl_desiminasi_buka;
        $syarat->tgl_desiminasi_tutup       = $request->tgl_desiminasi_tutup;
        $syarat->tgl_publikasi_buka         = $request->tgl_publikasi_buka;
        $syarat->tgl_publikasi_tutup        = $request->tgl_publikasi_tutup;
        $syarat->save();

        return back()->with('pesan','Data berhasil Disimpan'); 
    }

    public function edit($id)
    {
        $data['objek'] 		    =  \App\Jadwal::findOrFail($id);  
        $data['action'] 		= ['AdminJadwalController@update', $id]; 
        $data['method'] 		= 'PUT';        
        $data['btn_submit'] 	= 'Update';
        return view('administrator.jadwal.form',$data);
    }

    public function update(Request $request, $id)
    {
        $validasi = $this->validate($request,[
                'namajadwal'     => 'required',
                'tgl_daftar_buka' => 'required',
                'tgl_daftar_tutup' => 'required',
                'tgl_pengumpulandata_buka' => 'required',
                'tgl_pengumpulandata_tutup' => 'required',
                'tgl_penulisanhasil_buka' => 'required',
                'tgl_penulisanhasil_tutup' => 'required',
                'tgl_desiminasi_buka' => 'required',
                'tgl_desiminasi_tutup' => 'required',
                'tgl_publikasi_buka' => 'required',
                'tgl_publikasi_tutup' => 'required',
            
            ]);   
            
            // dd($request);
            // die();
            
        $objek = \App\Jadwal::findOrFail($id);
        $objek->namajadwal                 = $request->namajadwal;
        $objek->tgl_daftar_buka            = $request->tgl_daftar_buka;
        $objek->tgl_daftar_tutup           = $request->tgl_daftar_tutup;
        $objek->tgl_pengumpulandata_buka   = $request->tgl_pengumpulandata_buka;
        $objek->tgl_pengumpulandata_tutup  = $request->tgl_pengumpulandata_tutup;
        $objek->tgl_penulisanhasil_buka    = $request->tgl_penulisanhasil_buka;
        $objek->tgl_penulisanhasil_tutup   = $request->tgl_penulisanhasil_tutup;
        $objek->tgl_desiminasi_buka        = $request->tgl_desiminasi_buka;
        $objek->tgl_desiminasi_tutup       = $request->tgl_desiminasi_tutup;
        $objek->tgl_publikasi_buka         = $request->tgl_publikasi_buka;
        $objek->tgl_publikasi_tutup        = $request->tgl_publikasi_tutup;
        $objek->save();
        return redirect('admin/jadwal/index')->with('pesan', 'Data sudah di Update!');
    }

    public function terapan()
    {
            $data['proposal'] = \App\Dosen::all();
            return view('administrator.jadwal.terapan',$data);
       
    }

    public function terapanTambah($id)
    {
        $data['objek'] 		    =  \App\Dosen::findOrFail($id);  
        $data['action'] 		= ['AdminJadwalController@updateTerapan', $id]; 
        $data['method'] 		= 'PUT';        
        $data['btn_submit'] 	= 'Update';
        return view('administrator.jadwal.terapan-tambah',$data);
    }

    public function updateTerapan(Request $request, $id)
    {
        $validasi = $this->validate($request,[
            'jadwal_id' => 'required'         
            ]);         

        $objek = \App\Dosen::findOrFail($id);
        $objek->jadwal_id = $request->jadwal_id;
        $objek->save();
        return back()->with('pesan', 'Data sudah di Update!');
    }
}
